- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Collections::TCountedPointerArray< TypeName > Class Template Reference

Inheritance diagram for Exponent::Collections::TCountedPointerArray< TypeName >:

List of all members.

## Detailed Description

### template<class TypeName>
class Exponent::Collections::TCountedPointerArray< TypeName >

Template'd pointer array that will grow and shrink as necessary and holds counted objects.

Stores an internal array of pointer counted objects. Deletion is handled by the object deleter
and is handled via reference counting..

See also:
  TPointerCollection

Date:
  23/01/2006

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  TCountedPointerArray.hpp,v 1.5 2007/02/08 21:06:44 paul Exp

Definition at line 37 of file TCountedPointerArray.hpp.

## Public Member Functions

- TCountedPointerArray ()
- ~TCountedPointerArray ()

## Static Public Attributes

- static TCountedObjectDeleter<
  TypeName > TCOUNTEDPOINTER_ARRAY_DEFAULT_DELETER

## Constructor & Destructor Documentation

template<class TypeName>

Exponent::Collections::TCountedPointerArray< TypeName >::TCountedPointerArray | ( |  | ) |

Construction

template<class TypeName>

Exponent::Collections::TCountedPointerArray< TypeName >::~TCountedPointerArray | ( |  | ) |

Destruction

## Member Data Documentation

template<class TypeName>

TCountedObjectDeleter<TypeName> Exponent::Collections::TCountedPointerArray< TypeName >::TCOUNTEDPOINTER_ARRAY_DEFAULT_DELETER`[static]`

The default handler for pointer deletion

Definition at line 49 of file TCountedPointerArray.hpp.